=== debian/changelog ===
com.deepin.gomoku (1.0.8-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Jan 2022 16:36:06 +0800

com.deepin.gomoku (1.0) unstable; urgency=medium

  * Initial release the first version

 -- zhengxiaokang <zhengxiaokang@uniontech.com> Tue, 17 Aug 2021 11:46:48 +0800
