=== debian/changelog ===
com.deepin.gomoku (1.0.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:06:12 +0800
