=== debian/changelog ===
com.deepin.gomoku (1.0.11) unstable; urgency=medium

  * New version 1.0.11

 -- fengli <fengli@uniontech.com> Thu, 5 Jan 2023 13:49:52 +0800

com.deepin.gomoku (1.0.9) unstable; urgency=medium

  * Initial release the first version

 -- zhengxiaokang <zhengxiaokang@uniontech.com> Tue, 17 Aug 2021 11:46:48 +0800
