=== debian/changelog ===
com.deepin.gomoku (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- Wang Yu <wangyu@uniontch.com>  Sat, 08 Feb 2025 13:58:49 +0800

com.deepin.gomoku (6.0.1) unstable; urgency=medium

  * New version 6.0.1

 -- xiepengfei <xiepengfei@uniontech.com> Mon, 20 Jan 2025 11:50:03 +0800
