## com.deepin.gomoku 6.0.4

=== debian/changelog ===
com.deepin.gomoku (6.0.4) unstable; urgency=medium

  * chore: New version 6.0.4.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 17:44:36 +0800

com.deepin.gomoku (6.0.3) unstable; urgency=medium

  * chore: New version 6.0.3.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:02:51 +0800
