=== debian/changelog ===
com.deepin.gomoku (6.0.5) unstable; urgency=medium

  * chore: New version 6.0.5. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 19:45:39 +0800
