=== debian/control ===
Source: com.deepin.gomoku
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11),cmake, pkg-config, qt6-base-dev, qtchooser (>= 55-gc9562a1-1~),qmake6, libdtk6widget-dev, qt6-tools-dev-tools, qt6-svg-dev, qt6-tools-dev,libgtest-dev, libgmock-dev, qt6-multimedia-dev
Standards-Version: 4.3.0

Package: com.deepin.gomoku
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Gomoku is a small chess game for two players.
 Gomoku is an easy and funny chess game that is suitable for all ages.
